#ifndef FOURIER_H
#define FOURIER_H

class Fourier
{
private:
    int _ndim, _isign;
    double *_data;
    unsigned long *_nn;
    void Check();
    
public:
    Fourier(double *data, unsigned long *nn, int ndim, int isign);
    Fourier(const Fourier &rhs);
    ~Fourier();
    Fourier &operator=(const Fourier &rhs);
    void Fourn();
    unsigned long* Getnn();
    int Getndim() const;
    int Getisign() const;
};

#endif // FOURIER_H
